Index: drivers/isdn/avmb1/capicmd.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/avmb1/capicmd.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/avmb1/capicmd.h	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/avmb1/capicmd.h	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: capicmd.h,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: capicmd.h,v 1.2 2004/08/04 01:28:57 joff Exp $
  * 
  * CAPI 2.0 Interface for Linux
  * 
Index: drivers/isdn/avmb1/capidev.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/avmb1/capidev.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/avmb1/capidev.h	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/avmb1/capidev.h	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: capidev.h,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: capidev.h,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * CAPI 2.0 Interface for Linux
  *
Index: drivers/isdn/avmb1/capidrv.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/avmb1/capidrv.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/avmb1/capidrv.c	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/avmb1/capidrv.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: capidrv.c,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: capidrv.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * ISDN4Linux Driver, using capi20 interface (kernelcapi)
  *
@@ -35,7 +35,7 @@
 #include "capicmd.h"
 #include "capidrv.h"
 
-static char *revision = "$Revision: 1.1 $";
+static char *revision = "$Revision: 1.2 $";
 static int debugmode = 0;
 
 MODULE_DESCRIPTION("CAPI4Linux: Interface to ISDN4Linux");
@@ -523,13 +523,25 @@
 
 static void send_message(capidrv_contr * card, _cmsg * cmsg)
 {
-	struct sk_buff *skb;
-	size_t len;
+	struct sk_buff	*skb;
+	size_t		len;
+	u16		err;
+
 	capi_cmsg2message(cmsg, cmsg->buf);
 	len = CAPIMSG_LEN(cmsg->buf);
 	skb = alloc_skb(len, GFP_ATOMIC);
+	if(!skb) {
+		printk(KERN_ERR "no skb len(%d) memory\n", len);
+		return;
+	}
 	memcpy(skb_put(skb, len), cmsg->buf, len);
-	(*capifuncs->capi_put_message) (global.appid, skb);
+	err = (*capifuncs->capi_put_message) (global.appid, skb);
+	if (err) {
+		printk(KERN_WARNING "%s: capi_put_message error: %04x\n",
+			__FUNCTION__, err);
+		kfree_skb(skb);
+		return;
+	}
 	global.nsentctlpkt++;
 }
 
@@ -2188,10 +2200,10 @@
 			free_ncci(card, card->bchans[card->nbchan-1].nccip);
 		if (card->bchans[card->nbchan-1].plcip)
 			free_plci(card, card->bchans[card->nbchan-1].plcip);
-		if (card->plci_list)
-			printk(KERN_ERR "capidrv: bug in free_plci()\n");
 		card->nbchan--;
 	}
+	if (card->plci_list)
+		printk(KERN_ERR "capidrv: bug in free_plci()\n");
 	kfree(card->bchans);
 	card->bchans = 0;
 
Index: drivers/isdn/avmb1/capidrv.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/avmb1/capidrv.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/avmb1/capidrv.h	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/avmb1/capidrv.h	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: capidrv.h,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: capidrv.h,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * ISDN4Linux Driver, using capi20 interface (kernelcapi)
  *
Index: drivers/isdn/avmb1/capifs.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/avmb1/capifs.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/avmb1/capifs.c	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/avmb1/capifs.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: capifs.c,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: capifs.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  * 
  * Copyright 2000 by Carsten Paeth <calle@calle.de>
  *
@@ -32,7 +32,7 @@
 MODULE_AUTHOR("Carsten Paeth");
 MODULE_LICENSE("GPL");
 
-static char *revision = "$Revision: 1.1 $";
+static char *revision = "$Revision: 1.2 $";
 
 struct capifs_ncci {
 	struct inode *inode;
Index: drivers/isdn/avmb1/capifs.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/avmb1/capifs.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/avmb1/capifs.h	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/avmb1/capifs.h	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: capifs.h,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: capifs.h,v 1.2 2004/08/04 01:28:57 joff Exp $
  * 
  * Copyright 2000 by Carsten Paeth <calle@calle.de>
  *
Index: drivers/isdn/avmb1/capilli.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/avmb1/capilli.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/avmb1/capilli.h	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/avmb1/capilli.h	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: capilli.h,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: capilli.h,v 1.2 2004/08/04 01:28:57 joff Exp $
  * 
  * Kernel CAPI 2.0 Driver Interface for Linux
  * 
Index: drivers/isdn/avmb1/capiutil.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/avmb1/capiutil.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/avmb1/capiutil.c	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/avmb1/capiutil.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: capiutil.c,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: capiutil.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * CAPI 2.0 convert capi message to capi message struct
  *
Index: drivers/isdn/avmb1/capiutil.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/avmb1/capiutil.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/avmb1/capiutil.h	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/avmb1/capiutil.h	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: capiutil.h,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: capiutil.h,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * CAPI 2.0 defines & types
  *
Index: drivers/isdn/avmb1/kcapi.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/avmb1/kcapi.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/avmb1/kcapi.c	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/avmb1/kcapi.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: kcapi.c,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: kcapi.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  * 
  * Kernel CAPI 2.0 Module
  * 
@@ -33,7 +33,7 @@
 #include <linux/b1lli.h>
 #endif
 
-static char *revision = "$Revision: 1.1 $";
+static char *revision = "$Revision: 1.2 $";
 
 /* ------------------------------------------------------------- */
 
@@ -546,7 +546,13 @@
 static void notify_up(__u32 contr)
 {
 	struct capi_interface_user *p;
+	__u16 appl;
 
+	for (appl = 1; appl <= CAPI_MAXAPPL; appl++) {
+		if (!VALID_APPLID(appl)) continue;
+		if (APPL(appl)->releasing) continue;
+		CARD(contr)->driver->register_appl(CARD(contr), appl, &APPL(appl)->rparam);
+	}
         printk(KERN_NOTICE "kcapi: notify up contr %d\n", contr);
 	spin_lock(&capi_users_lock);
 	for (p = capi_users; p; p = p->next) {
@@ -714,12 +720,16 @@
 			nextpp = &(*pp)->next;
 		}
 	}
-	APPL(appl)->releasing--;
-	if (APPL(appl)->releasing <= 0) {
-		APPL(appl)->signal = 0;
-		APPL_MARK_FREE(appl);
-		printk(KERN_INFO "kcapi: appl %d down\n", appl);
-	}
+	if (APPL(appl)->releasing) { /* only release if the application was marked for release */
+		printk(KERN_DEBUG "kcapi: appl %d releasing(%d)\n", appl, APPL(appl)->releasing);
+		APPL(appl)->releasing--;
+		if (APPL(appl)->releasing <= 0) {
+			APPL(appl)->signal = 0;
+			APPL_MARK_FREE(appl);
+			printk(KERN_INFO "kcapi: appl %d down\n", appl);
+		}
+	} else
+		printk(KERN_WARNING "kcapi: appl %d card%d released without request\n", appl, card->cnr);
 }
 /*
  * ncci management
@@ -872,16 +882,7 @@
 
 static void controllercb_ready(struct capi_ctr * card)
 {
-	__u16 appl;
-
 	card->cardstate = CARD_RUNNING;
-
-	for (appl = 1; appl <= CAPI_MAXAPPL; appl++) {
-		if (!VALID_APPLID(appl)) continue;
-		if (APPL(appl)->releasing) continue;
-		card->driver->register_appl(card, appl, &APPL(appl)->rparam);
-	}
-
         printk(KERN_NOTICE "kcapi: card %d \"%s\" ready.\n",
 		CARDNR(card), card->name);
 
Index: drivers/isdn/avmb1/t1isa.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/avmb1/t1isa.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/avmb1/t1isa.c	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/avmb1/t1isa.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: t1isa.c,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: t1isa.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  * 
  * Module for AVM T1 HEMA-card.
  * 
@@ -25,7 +25,7 @@
 #include "capilli.h"
 #include "avmcard.h"
 
-static char *revision = "$Revision: 1.1 $";
+static char *revision = "$Revision: 1.2 $";
 
 /* ------------------------------------------------------------- */
 
Index: drivers/isdn/avmb1/t1pci.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/avmb1/t1pci.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/avmb1/t1pci.c	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/avmb1/t1pci.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: t1pci.c,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: t1pci.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  * 
  * Module for AVM T1 PCI-card.
  * 
@@ -26,7 +26,7 @@
 #include "capilli.h"
 #include "avmcard.h"
 
-static char *revision = "$Revision: 1.1 $";
+static char *revision = "$Revision: 1.2 $";
 
 #undef CONFIG_T1PCI_DEBUG
 #undef CONFIG_T1PCI_POLLDEBUG
Index: drivers/isdn/divert/divert_procfs.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/divert/divert_procfs.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/divert/divert_procfs.c	22 Jul 2004 19:49:58 -0000	1.1
+++ drivers/isdn/divert/divert_procfs.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: divert_procfs.c,v 1.1 2004/07/22 19:49:58 joff Exp $
+/* $Id: divert_procfs.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * Filesystem handling for the diversion supplementary services.
  *
Index: drivers/isdn/divert/isdn_divert.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/divert/isdn_divert.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/divert/isdn_divert.c	22 Jul 2004 19:49:58 -0000	1.1
+++ drivers/isdn/divert/isdn_divert.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isdn_divert.c,v 1.1 2004/07/22 19:49:58 joff Exp $
+/* $Id: isdn_divert.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * DSS1 main diversion supplementary handling for i4l.
  *
Index: drivers/isdn/divert/isdn_divert.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/divert/isdn_divert.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/divert/isdn_divert.h	22 Jul 2004 19:49:58 -0000	1.1
+++ drivers/isdn/divert/isdn_divert.h	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isdn_divert.h,v 1.1 2004/07/22 19:49:58 joff Exp $
+/* $Id: isdn_divert.h,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * Header for the diversion supplementary ioctl interface.
  *
Index: drivers/isdn/eicon/eicon.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/eicon/eicon.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/eicon/eicon.h	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/eicon/eicon.h	4 Aug 2004 01:28:58 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: eicon.h,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: eicon.h,v 1.2 2004/08/04 01:28:58 joff Exp $
  *
  * ISDN low-level module for Eicon active ISDN-Cards.
  *
Index: drivers/isdn/eicon/eicon_dsp.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/eicon/eicon_dsp.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/eicon/eicon_dsp.h	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/eicon/eicon_dsp.h	4 Aug 2004 01:28:58 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: eicon_dsp.h,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: eicon_dsp.h,v 1.2 2004/08/04 01:28:58 joff Exp $
  *
  * ISDN lowlevel-module for Eicon active cards.
  * DSP definitions
Index: drivers/isdn/eicon/eicon_idi.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/eicon/eicon_idi.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/eicon/eicon_idi.c	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/eicon/eicon_idi.c	4 Aug 2004 01:28:58 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: eicon_idi.c,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: eicon_idi.c,v 1.2 2004/08/04 01:28:58 joff Exp $
  *
  * ISDN lowlevel-module for Eicon active cards.
  * IDI interface 
@@ -25,7 +25,7 @@
 
 #undef EICON_FULL_SERVICE_OKTETT
 
-char *eicon_idi_revision = "$Revision: 1.1 $";
+char *eicon_idi_revision = "$Revision: 1.2 $";
 
 eicon_manifbuf *manbuf;
 
Index: drivers/isdn/eicon/eicon_idi.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/eicon/eicon_idi.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/eicon/eicon_idi.h	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/eicon/eicon_idi.h	4 Aug 2004 01:28:58 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: eicon_idi.h,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: eicon_idi.h,v 1.2 2004/08/04 01:28:58 joff Exp $
  *
  * ISDN lowlevel-module for the Eicon active cards.
  * IDI-Interface
Index: drivers/isdn/eicon/eicon_io.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/eicon/eicon_io.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/eicon/eicon_io.c	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/eicon/eicon_io.c	4 Aug 2004 01:28:58 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: eicon_io.c,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: eicon_io.c,v 1.2 2004/08/04 01:28:58 joff Exp $
  *
  * ISDN low-level module for Eicon active ISDN-Cards.
  * Code for communicating with hardware.
Index: drivers/isdn/eicon/eicon_isa.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/eicon/eicon_isa.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/eicon/eicon_isa.c	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/eicon/eicon_isa.c	4 Aug 2004 01:28:58 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: eicon_isa.c,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: eicon_isa.c,v 1.2 2004/08/04 01:28:58 joff Exp $
  *
  * ISDN low-level module for Eicon active ISDN-Cards.
  * Hardware-specific code for old ISA cards.
@@ -20,7 +20,7 @@
 #define release_shmem release_region
 #define request_shmem request_region
 
-char *eicon_isa_revision = "$Revision: 1.1 $";
+char *eicon_isa_revision = "$Revision: 1.2 $";
 
 #undef EICON_MCA_DEBUG
 
Index: drivers/isdn/eicon/eicon_isa.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/eicon/eicon_isa.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/eicon/eicon_isa.h	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/eicon/eicon_isa.h	4 Aug 2004 01:28:58 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: eicon_isa.h,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: eicon_isa.h,v 1.2 2004/08/04 01:28:58 joff Exp $
  *
  * ISDN low-level module for Eicon active ISDN-Cards.
  *
Index: drivers/isdn/eicon/eicon_mod.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/eicon/eicon_mod.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/eicon/eicon_mod.c	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/eicon/eicon_mod.c	4 Aug 2004 01:28:58 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: eicon_mod.c,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: eicon_mod.c,v 1.2 2004/08/04 01:28:58 joff Exp $
  *
  * ISDN lowlevel-module for Eicon active cards.
  * 
@@ -44,7 +44,7 @@
 static eicon_card *cards = (eicon_card *) NULL;   /* glob. var , contains
                                                      start of card-list   */
 
-static char *eicon_revision = "$Revision: 1.1 $";
+static char *eicon_revision = "$Revision: 1.2 $";
 
 extern char *eicon_pci_revision;
 extern char *eicon_isa_revision;
Index: drivers/isdn/eicon/eicon_pci.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/eicon/eicon_pci.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/eicon/eicon_pci.c	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/eicon/eicon_pci.c	4 Aug 2004 01:28:58 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: eicon_pci.c,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: eicon_pci.c,v 1.2 2004/08/04 01:28:58 joff Exp $
  *
  * ISDN low-level module for Eicon active ISDN-Cards.
  * Hardware-specific code for PCI cards.
@@ -24,7 +24,7 @@
 #include "adapter.h"
 #include "uxio.h"
 
-char *eicon_pci_revision = "$Revision: 1.1 $";
+char *eicon_pci_revision = "$Revision: 1.2 $";
 
 #if CONFIG_PCI	         /* intire stuff is only for PCI */
 #ifdef CONFIG_ISDN_DRV_EICON_PCI
Index: drivers/isdn/eicon/eicon_pci.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/eicon/eicon_pci.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/eicon/eicon_pci.h	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/eicon/eicon_pci.h	4 Aug 2004 01:28:58 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: eicon_pci.h,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: eicon_pci.h,v 1.2 2004/08/04 01:28:58 joff Exp $
  *
  * ISDN low-level module for Eicon active ISDN-Cards (PCI part).
  *
Index: drivers/isdn/hisax/amd7930_fn.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/amd7930_fn.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/amd7930_fn.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/amd7930_fn.c	4 Aug 2004 01:28:58 -0000	1.2
@@ -61,6 +61,40 @@
 #include <linux/interrupt.h>
 #include <linux/init.h>
 
+static WORD initAMD[] __devinitdata = {
+	0x0100,
+
+	0x00A5, 3, 0x01, 0x40, 0x58,				// LPR, LMR1, LMR2
+	0x0086, 1, 0x0B,					// DMR1 (D-Buffer TH-Interrupts on)
+	0x0087, 1, 0xFF,					// DMR2
+	0x0092, 1, 0x03,					// EFCR (extended mode d-channel-fifo on)
+	0x0090, 4, 0xFE, 0xFF, 0x02, 0x0F,			// FRAR4, SRAR4, DMR3, DMR4 (address recognition )
+	0x0084, 2, 0x80, 0x00,					// DRLR
+	0x00C0, 1, 0x47,					// PPCR1
+	0x00C8, 1, 0x01,					// PPCR2
+
+	0x0102,
+	0x0107,
+	0x01A1, 1,
+	0x0121, 1,
+	0x0189, 2,
+
+	0x0045, 4, 0x61, 0x72, 0x00, 0x00,			// MCR1, MCR2, MCR3, MCR4
+	0x0063, 2, 0x08, 0x08,					// GX
+	0x0064, 2, 0x08, 0x08,					// GR
+	0x0065, 2, 0x99, 0x00,					// GER
+	0x0066, 2, 0x7C, 0x8B,					// STG
+	0x0067, 2, 0x00, 0x00,					// FTGR1, FTGR2
+	0x0068, 2, 0x20, 0x20,					// ATGR1, ATGR2
+	0x0069, 1, 0x4F,					// MMR1
+	0x006A, 1, 0x00,					// MMR2
+	0x006C, 1, 0x40,					// MMR3
+	0x0021, 1, 0x02,					// INIT
+	0x00A3, 1, 0x40,					// LMR1
+
+	0xFFFF};
+
+
 static void Amd7930_new_ph(struct IsdnCardState *cs);
 
 
Index: drivers/isdn/hisax/amd7930_fn.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/amd7930_fn.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/amd7930_fn.h	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/amd7930_fn.h	4 Aug 2004 01:28:58 -0000	1.2
@@ -32,38 +32,5 @@
 
 #define DBUSY_TIMER_VALUE 80
 
-static WORD initAMD[] = {
-	0x0100,
-
-	0x00A5, 3, 0x01, 0x40, 0x58,				// LPR, LMR1, LMR2
-	0x0086, 1, 0x0B,					// DMR1 (D-Buffer TH-Interrupts on)
-	0x0087, 1, 0xFF,					// DMR2
-	0x0092, 1, 0x03,					// EFCR (extended mode d-channel-fifo on)
-	0x0090, 4, 0xFE, 0xFF, 0x02, 0x0F,			// FRAR4, SRAR4, DMR3, DMR4 (address recognition )
-	0x0084, 2, 0x80, 0x00,					// DRLR
-	0x00C0, 1, 0x47,					// PPCR1
-	0x00C8, 1, 0x01,					// PPCR2
-
-	0x0102,
-	0x0107,
-	0x01A1, 1,
-	0x0121, 1,
-	0x0189, 2,
-
-	0x0045, 4, 0x61, 0x72, 0x00, 0x00,			// MCR1, MCR2, MCR3, MCR4
-	0x0063, 2, 0x08, 0x08,					// GX
-	0x0064, 2, 0x08, 0x08,					// GR
-	0x0065, 2, 0x99, 0x00,					// GER
-	0x0066, 2, 0x7C, 0x8B,					// STG
-	0x0067, 2, 0x00, 0x00,					// FTGR1, FTGR2
-	0x0068, 2, 0x20, 0x20,					// ATGR1, ATGR2
-	0x0069, 1, 0x4F,					// MMR1
-	0x006A, 1, 0x00,					// MMR2
-	0x006C, 1, 0x40,					// MMR3
-	0x0021, 1, 0x02,					// INIT
-	0x00A3, 1, 0x40,					// LMR1
-
-	0xFFFF};
-
 extern void Amd7930_interrupt(struct IsdnCardState *cs, unsigned char irflags);
 extern void Amd7930_init(struct IsdnCardState *cs);
Index: drivers/isdn/hisax/arcofi.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/arcofi.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/arcofi.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/arcofi.c	4 Aug 2004 01:28:58 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: arcofi.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: arcofi.c,v 1.2 2004/08/04 01:28:58 joff Exp $
  *
  * Ansteuerung ARCOFI 2165
  *
Index: drivers/isdn/hisax/arcofi.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/arcofi.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/arcofi.h	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/arcofi.h	4 Aug 2004 01:28:58 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: arcofi.h,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: arcofi.h,v 1.2 2004/08/04 01:28:58 joff Exp $
  *
  * Ansteuerung ARCOFI 2165
  *
Index: drivers/isdn/hisax/asuscom.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/asuscom.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/asuscom.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/asuscom.c	4 Aug 2004 01:28:58 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: asuscom.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: asuscom.c,v 1.2 2004/08/04 01:28:58 joff Exp $
  *
  * low level stuff for ASUSCOM NETWORK INC. ISDNLink cards
  *
@@ -23,7 +23,7 @@
 
 extern const char *CardType[];
 
-const char *Asuscom_revision = "$Revision: 1.1 $";
+const char *Asuscom_revision = "$Revision: 1.2 $";
 
 #define byteout(addr,val) outb(val,addr)
 #define bytein(addr) inb(addr)
Index: drivers/isdn/hisax/avm_a1.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/avm_a1.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/avm_a1.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/avm_a1.c	4 Aug 2004 01:28:58 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: avm_a1.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: avm_a1.c,v 1.2 2004/08/04 01:28:58 joff Exp $
  *
  * low level stuff for AVM A1 (Fritz) isdn cards
  *
@@ -18,7 +18,7 @@
 #include "isdnl1.h"
 
 extern const char *CardType[];
-static const char *avm_revision = "$Revision: 1.1 $";
+static const char *avm_revision = "$Revision: 1.2 $";
 
 #define	 AVM_A1_STAT_ISAC	0x01
 #define	 AVM_A1_STAT_HSCX	0x02
Index: drivers/isdn/hisax/avm_a1p.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/avm_a1p.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/avm_a1p.c	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/hisax/avm_a1p.c	4 Aug 2004 01:28:58 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: avm_a1p.c,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: avm_a1p.c,v 1.2 2004/08/04 01:28:58 joff Exp $
  *
  * low level stuff for the following AVM cards:
  * A1 PCMCIA
@@ -57,7 +57,7 @@
 #define byteout(addr,val) outb(val,addr)
 #define bytein(addr) inb(addr)
 
-static const char *avm_revision = "$Revision: 1.1 $";
+static const char *avm_revision = "$Revision: 1.2 $";
 
 static inline u_char
 ReadISAC(struct IsdnCardState *cs, u_char offset)
Index: drivers/isdn/hisax/avm_pci.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/avm_pci.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/avm_pci.c	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/hisax/avm_pci.c	4 Aug 2004 01:28:58 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: avm_pci.c,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: avm_pci.c,v 1.2 2004/08/04 01:28:58 joff Exp $
  *
  * low level stuff for AVM Fritz!PCI and ISA PnP isdn cards
  *
@@ -23,7 +23,7 @@
 #include <linux/interrupt.h>
 
 extern const char *CardType[];
-static const char *avm_pci_rev = "$Revision: 1.1 $";
+static const char *avm_pci_rev = "$Revision: 1.2 $";
 
 #define  AVM_FRITZ_PCI		1
 #define  AVM_FRITZ_PNP		2
Index: drivers/isdn/hisax/avma1_cs.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/avma1_cs.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/avma1_cs.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/avma1_cs.c	4 Aug 2004 01:28:58 -0000	1.2
@@ -18,6 +18,7 @@
 #include <linux/slab.h>
 #include <linux/string.h>
 #include <linux/timer.h>
+#include <linux/init.h>
 #include <asm/io.h>
 #include <asm/system.h>
 
Index: drivers/isdn/hisax/bkm_a4t.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/bkm_a4t.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/bkm_a4t.c	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/hisax/bkm_a4t.c	4 Aug 2004 01:28:58 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: bkm_a4t.c,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: bkm_a4t.c,v 1.2 2004/08/04 01:28:58 joff Exp $
  *
  * low level stuff for T-Berkom A4T
  *
@@ -24,7 +24,7 @@
 
 extern const char *CardType[];
 
-const char *bkm_a4t_revision = "$Revision: 1.1 $";
+const char *bkm_a4t_revision = "$Revision: 1.2 $";
 
 
 static inline u_char
Index: drivers/isdn/hisax/bkm_a8.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/bkm_a8.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/bkm_a8.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/bkm_a8.c	4 Aug 2004 01:28:58 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: bkm_a8.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: bkm_a8.c,v 1.2 2004/08/04 01:28:58 joff Exp $
  *
  * low level stuff for Scitel Quadro (4*S0, passive)
  *
@@ -28,7 +28,7 @@
 
 extern const char *CardType[];
 
-const char sct_quadro_revision[] = "$Revision: 1.1 $";
+const char sct_quadro_revision[] = "$Revision: 1.2 $";
 
 static const char *sct_quadro_subtypes[] =
 {
Index: drivers/isdn/hisax/bkm_ax.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/bkm_ax.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/bkm_ax.h	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/bkm_ax.h	4 Aug 2004 01:28:58 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: bkm_ax.h,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: bkm_ax.h,v 1.2 2004/08/04 01:28:58 joff Exp $
  *
  * low level decls for T-Berkom cards A4T and Scitel Quadro (4*S0, passive)
  *
Index: drivers/isdn/hisax/callc.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/callc.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/callc.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/callc.c	4 Aug 2004 01:28:58 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: callc.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: callc.c,v 1.2 2004/08/04 01:28:58 joff Exp $
  *
  * Author       Karsten Keil
  * Copyright    by Karsten Keil      <keil@isdn4linux.de>
@@ -26,7 +26,7 @@
 #define MOD_USE_COUNT ( GET_USE_COUNT (&__this_module))
 #endif	/* MODULE */
 
-const char *lli_revision = "$Revision: 1.1 $";
+const char *lli_revision = "$Revision: 1.2 $";
 
 extern struct IsdnCard cards[];
 extern int nrcards;
Index: drivers/isdn/hisax/cert.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/cert.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/cert.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/cert.c	4 Aug 2004 01:28:58 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: cert.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: cert.c,v 1.2 2004/08/04 01:28:58 joff Exp $
  *
  * Author       Karsten Keil
  * Copyright    by Karsten Keil      <keil@isdn4linux.de>
Index: drivers/isdn/hisax/config.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/config.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/config.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/config.c	4 Aug 2004 01:28:58 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: config.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: config.c,v 1.2 2004/08/04 01:28:58 joff Exp $
  *
  * Author       Karsten Keil
  * Copyright    by Karsten Keil      <keil@isdn4linux.de>
@@ -1925,6 +1925,8 @@
 		break;
 	case PH_DEACTIVATE | INDICATION:
 		st->l1.l1l2(st, pr, NULL);
+		clear_bit(BC_FLG_BUSY, &bcs->Flag);
+		skb_queue_purge(&bcs->squeue);
 		bcs->hw.b_if = NULL;
 		break;
 	case PH_DATA | INDICATION:
@@ -2012,6 +2014,9 @@
 		else
 			set_bit(FLG_L1_PULL_REQ, &st->l1.Flags);
 		break;
+	case PH_DEACTIVATE | REQUEST:
+		test_and_clear_bit(BC_FLG_BUSY, &bcs->Flag);
+		skb_queue_purge(&bcs->squeue);
 	default:
 		B_L2L1(b_if, pr, arg);
 		break;
